> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/compute-services/compute-engine/cloud-gpu-vm/api-how-tos/delete-cloud-gpu-vm.md).

# Delete a Cloud GPU VM

You can delete a specific Cloud GPU VM from within a data center using the <code class="expression">space.vars.ionos\_cloud</code> API. This operation permanently removes the instance and its block storage volume.

{% hint style="warning" %}
**Important considerations before deletion:**

* Deleting a Cloud GPU VM cannot be undone; hence, it is recommended to backup important data first.
* The block storage volume is automatically deleted with the instance.
  {% endhint %}

## Endpoint

Use the following endpoint for Cloud GPU VM: `https://api.ionos.com/cloudapi/v6/datacenters/{datacenterId}/servers/{serverId}`

## Request

{% hint style="info" %}
**Note:** The following request contains sample values. Remember to replace them with the relevant information.
{% endhint %}

```bash
 curl --location \
--request DELETE 'https://api.ionos.com/cloudapi/v6/datacenters/{datacenterId}/servers/{serverId}' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJraWQiO' \
--header 'Content-Type: application/json'
```

{% tabs %}
{% tab title="Path Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| **Name**       | **Type** | **Description**             |
| -------------- | :------: | --------------------------- |
| `datacenterId` |  string  | The ID of the data center.  |
| `serverId`     |  string  | The ID of the Cloud GPU VM. |
| {% endtab %}   |          |                             |
| {% endtabs %}  |          |                             |

## Response

A **202** message confirms that the instance is deleted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/compute-services/compute-engine/cloud-gpu-vm/api-how-tos/delete-cloud-gpu-vm.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
